<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
<!-- xeug-01 -->
    <head>
		<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
	</head>
	<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">
<table cellpadding="0" cellspacing="0" border="0" summary="" style="width: 100%; height: 100%; background-color: #ffffff; "><tr><td>
<!-- MENU -->
<div style="width: 780px; height: 76px;">
<table cellpadding="0" cellspacing="0" bgcolor="white">
	<tr>
		<td height="76" class="main-bg"><img src="images/top_left.jpg"/></td>
		<td width="40"></td>
		<xsl:call-template name="TOP-MENU"/>
	</tr>
</table>
</div>
<!-- END MENU -->
<div class="main-bg" style="width: 780px; height: 235px;">
<table cellpadding="0" cellspacing="0"  class="main-bg" style="background-image: url('images/header.jpg'); background-repeat: no-repeat;" width="780" height="235">
	<tr>
		<td width="50%" align="center" valign="top">
		<!-- LOGO -->
			<table cellpadding="0" cellspacing="0" align="center">
				<tr><td align="center"><a href="./"><img src="images/{LOGO/@NAME}" border="0"/></a></td></tr>
				<tr><td align="center" class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td></tr>
				<tr><td align="center" class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td></tr>
			</table>
		<!-- END LOGO -->
		</td>
		<td width="50%"></td>
	</tr>
</table>
</div>
<TABLE WIDTH="780" CELLPADDING="0" CELLSPACING="0" BORDER="0" background="images/bg.gif" bgcolor="#6C6C6C">
	<TR>
		<TD valign="top" width="546" style="background-image: url('images/bg.jpg'); background-repeat: no-repeat;">
		<!-- CONTENT -->
			<table cellpadding="0" cellspacing="0" width="390" style="margin-left: 114px;">
				<tr><td height="50"></td></tr>
				<tr><td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td></tr>
				<tr><td height="11"></td></tr>
				<tr>
					<td class="text" width="390">
						<xsl:apply-templates select="PAGE-CONTENT"/>
					</td>
				</tr>
				<tr><td height="20"></td></tr>
			</table>
		<!-- END CONTENT -->
		</TD>
		<TD valign="top" width="234" align="center">
		<!-- SUBMENU -->
			<table cellpadding="0" cellspacing="0" width="160" align="center" bgcolor="6C6C6C">
				<tr><td colspan="2" height="46"></td></tr>
				<xsl:call-template name="SUB-MENU"><xsl:with-param name="pageID" select="@ID"/></xsl:call-template>
				<tr><td colspan="2" height="39"></td></tr>
			</table>
		<!-- END SUBMENU -->
		</TD>
	</TR>
	<TR>
		<TD align="right" height="77"><img src="images/footer_bg.gif"/></TD>
		<TD bgcolor="white" class="footer">
		<!-- FOOTER -->
			<xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>
		<!-- END FOOTER -->
		</TD>
	</TR>
</TABLE>
</td></tr></table>
	</BODY>

	</HTML>
</xsl:template>

<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>

<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>			
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
				<tr>
					<td style="padding-left: 8px" height="32" class="asubmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
					<td align="right" style="padding-right: 3px"><div style="width:3px; height:10px; background-color: #FF6600;"><spacer type="block" width="3" height="10"/></div></td>
				</tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
				<tr>
					<td style="padding-left: 8px" height="32"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
					<td align="right" style="padding-right: 3px"><a href="{@HREF}"><div style="width:3px; height:10px; background-color: #FF6600;"><spacer type="block" width="3" height="10"/></div></a></td>
				</tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
		<tr><td colspan="2" height="1" bgcolor="#868686"></td></tr>
		<tr><td colspan="2" height="1" bgcolor="#676767"></td></tr>
	</xsl:if>
</xsl:template>


<xsl:template name="BOTTOM-MENU">
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>


<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>

<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
		<!-- when vizited inside-->
        <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
  			<td><a href="{@HREF}" class="abmenu" id="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
        </xsl:when>
        <!-- when active-->
        
        <xsl:otherwise>
  			<td><a href="{@HREF}" class="bmenu" id="bmenu{position()}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
            </xsl:otherwise>
        </xsl:choose>
	<xsl:if test="position()!=last()">
 		<td width="30"></td>
	</xsl:if>
</xsl:template>
	
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}">
		<xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute>
	</meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>

</xsl:stylesheet>	
