<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<html>
<!-- xmp-05 -->
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css" />
		</head>
<body MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">
<table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0" style="background-color: #ffffff; background-image: url(images/right.jpg); background-repeat: repeat-y; background-position: top right;">
	<tr>
		<td height="240" colspan="2" style="background-image: url('images/ab_02.jpg'); background-repeat: repeat; background-position: top left;">
			<table width="100%"  border="0" cellspacing="0" cellpadding="0">
				<tr>
					<td height="240" align="right"  style="background-image: url(images/header.jpg); background-repeat: no-repeat; background-position: bottom left; padding-right: 15px;">
						<!-- LOGO -->
						<table border="0" cellspacing="0" cellpadding="0">
							<tr>
								<td align="center"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></td>
							</tr>
							<tr>
								<td align="center" class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
							</tr>
							<tr>
								<td align="center" class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
							</tr>
						  </table>
						<!-- END LOGO -->
					</td>
				</tr>
			</table>
		</td>
	</tr>
	<tr>
		<td width="100%" height="52" style="background-image: url(images/ab_05.jpg); background-position: top left; background-repeat: repeat; padding-left: 50px; padding-right: 50px;">
			<!-- MENU -->
			<table border="0" cellspacing="0" cellpadding="0">
				<tr>
					<xsl:call-template name="TOP-MENU"/>
				</tr>
			</table>
			<!-- END MENU -->
		</td>
		<td width="223" style="background-image: url(images/ab_05.jpg); background-position: top left; background-repeat: repeat;"><div style="width: 223px; height: 0;"><span></span></div></td>
	</tr>
	<tr>
		<td width="100%" height="100%" valign="top" style="background-image: url('images/ab_19.jpg'); background-position: top left; background-repeat: repeat;">
			<!-- CONTENT -->
			<table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
				<tr>
					<td style="padding: 25px;">
						<table cellpadding="0" cellspacing="0" border="0">
							<tr>
								<td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
					  		</tr>
						</table>
					</td>
				</tr>
				<tr>
					<td height="1" style="background-color: #DEDEDE;"></td>
				</tr>
				<tr>
					<td valign="top" style="padding: 20px;" width="100%" height="100%">
						<table width="100%" height="100%">
							<tr>
								<td valign="top" class="pageContent" name="SB_stretch"><xsl:apply-templates select="PAGE-CONTENT"/></td>
							</tr>
						</table>
					</td>
				</tr>
			</table>
			<!-- END CONTENT -->
		</td>
		<td valign="top" style="background-image: url(images/ab_23.jpg); background-repeat: no-repeat; background-position: bottom center; padding-top: 0px; padding-bottom: 165px;">
			<table width="223" height="244"  border="0" cellpadding="0" cellspacing="0">
				<tr>
					<td align="center" valign="top" style="background-image: url(images/ab_13.jpg); background-repeat: no-repeat; background-position: top center;">
						<!-- SUBMENU -->
						<table width="223"  border="0" cellspacing="0" cellpadding="0">
						   <xsl:call-template name="SUB-MENU"><xsl:with-param name="pageID" select="@ID"/></xsl:call-template>
					    </table>
						<!-- END SUBMENU -->
					</td>
				</tr>
			</table>
		</td>
	</tr>
	<tr>
		<td align="right" valign="bottom" height="51" style="background-image: url('images/ab_25.jpg'); background-position: top left; background-repeat: repeat;"><img src="images/ab_26.jpg" height="51" alt="" /></td>
		<td align="right" valign="bottom"><img src="images/ab_27.jpg" width="223" height="51" alt="" /></td>
	</tr>
	<tr>
		<td height="102" style="background-color: #FFFFFF; background-image: url(images/ab_28.jpg); background-repeat: no-repeat; background-position: top left;">
			<div align="right">
				<table width="100%"  border="0" cellspacing="0" cellpadding="0">
					<tr>
						<td height="102" style="background-image: url(images/ab_30.jpg); background-repeat: no-repeat; background-position: top right; padding-left: 20px;">
							<!-- BOTTOM MENU -->
							<table border="0" cellspacing="0" cellpadding="0">
								<tr>
									<xsl:call-template name="BOTTOM-MENU"/>
								</tr>
							</table>
							<!-- END BOOTTOM MENU -->
						</td>
					</tr>
				</table>
			</div>
		</td>
		<td style="background-image: url('images/ab_31.jpg'); background-position: top left; background-repeat: repeat;">
			<!-- FOOTER -->
				<div align="center" class="footer"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></div>
			<!-- END FOOTER -->
		</td>
	</tr>
</table>
</body>
</html>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
              <tr style="background-image: url(images/bg.gif);
	background-repeat: repeat-y;
	background-position:left; ">
            <td width="200" align="left" class="asubmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
            <td width="23" height="40"><img src="images/sub.gif" width="10" height="15" /></td>
          </tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
          <tr>
            <td width="200" align="left"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
            <td width="23" height="40"><img src="images/sub.gif" width="10" height="15" /></td>
          </tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
    <tr>
        <td colspan="2"><img src="images/line.gif" width="223" height="1" /></td>
    </tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
    <td><a href="{@HREF}" class="abmenu" id="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:when>
           <!-- when active-->
           
           <xsl:otherwise>
   <td><a href="{@HREF}" class="bmenu" id="bmenu{position()}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>       
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
   <td width="20" align="center" class="bmenu">|</td>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
