<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<html>
<!-- xmp-10 -->
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css" />
		</head>
<body style="margin:0px;" bgcolor="#ffffff">
<div align="center">
  <table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
    <tr>
      <td height="53" colspan="3" background="images/mp_02.jpg" style="padding-left:20">
<!-- MENU -->
	  <table border="0" cellspacing="0" cellpadding="0">
        <tr>
         <xsl:call-template name="TOP-MENU"/>
        </tr>
      </table>
<!-- END MENU -->
	  </td>
      <td width="11" style="background-image: url(images/bg.jpg); background-repeat: repeat-y;background-position: right;"></td>
    </tr>
    <tr>
      <td colspan="3" align="left" valign="top" background="images/mp_09.jpg" height="347"><table width="100%"  height="347" border="0" cellspacing="0" cellpadding="0">
        <tr>
          <td height="347" valign="top" style="background-image: url(images/header.jpg);
	background-repeat: no-repeat;
	background-position: left bottom; padding-top: 40px;
	padding-left: 80px;">
	<!--LOGO -->
	<table width="230" border="0" cellpadding="0" cellspacing="0">
            <tr>
              <td><div align="center"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></div></td>
            </tr>
            <tr>
              <td><div align="center" class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></div></td>
            </tr>
          </table>
<!-- END LOGO -->
		  </td>
        </tr>
      </table></td>
      <td width="11" valign="top"><img src="images/mp_10.jpg" width="11" height="347" alt="" /></td>
    </tr>
    <tr>
      <td width="177" height="100%" align="center" valign="top" background="images/mp_30.jpg"><table width="177" border="0" cellspacing="0" cellpadding="0">
        <tr>
          <td><img src="images/fff.gif" width="177" height="30" /></td>
        </tr>
      </table>
<!-- SUBMENU -->
        <table width="130" border="0" cellspacing="0" cellpadding="0">
          <xsl:call-template name="SUB-MENU"><xsl:with-param name="pageID" select="@ID"/></xsl:call-template>
        </table>
<!-- END SUBMENU -->
	  </td>
      <td width="20" valign="top" background="images/mp_26.jpg" height="104"><img src="images/mp_12.jpg" width="20" height="104" alt="" /></td>
      <td width="100%" height="100%" align="left" valign="top" background="images/mp_30.jpg"><table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
        <tr>
          <td width="230" height="38" background="images/tex.gif">
<table cellpadding="0" cellspacing="0" border="0">
				<tr>
					<td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
		  		</tr>
			</table> 
		  </td>
          <td width="672" align="left"><img src="images/tt.gif" width="36" height="50" /></td>
        </tr>
        <tr>
          <td height="100%" colspan="2" style="padding: 10px;" valign="top">
				<table width="100%" height="100%">
			  <tr><td width="100%" height="100%" valign="top" class="pageContent" name="SB_stretch">
			  <xsl:apply-templates select="PAGE-CONTENT"/>
			  </td>
			  </tr></table>
		  </td>
        </tr>
      </table>
      </td>
      <td background="images/mp_30.jpg"></td>
    </tr>
    <tr>
      <td width="181" height="107" align="center" background="images/mp_32.jpg">
<br/>
	<!-- FOOTER -->
	<div align="center" class="footer"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></div>
	<!-- END FOOTER -->
	  
	  </td>
      <td width="20" align="center"><img src="images/mp_33.jpg" width="20" height="107" alt="" /></td>
      <td valign="bottom" width="100%"  background="images/mp_35.jpg"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
        <tr>
          <td height="107" align="left" valign="bottom" style="background-image: url(images/mp_34.jpg);
	background-repeat: no-repeat;
	background-position: left bottom; padding-left: 40px;">
<!-- BOOTTOM MENU -->
	<table border="0" cellspacing="0" cellpadding="0">
            <tr>
             <xsl:call-template name="BOTTOM-MENU"/>
            </tr>

          </table>
<!-- END BOOTTOM MENU -->
<br/>
		  </td>
        </tr>
      </table></td>
      <td align="right"><img src="images/mp_37.jpg" width="11" height="107" alt="" /></td>
    </tr>
  </table>
</div>

</body>
</html>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
          <tr>
            <td width="120" class="asubmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
            <td width="10" height="25"><img src="images/mp_19.jpg" width="10" height="9" alt="" /></td>
          </tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
          <tr>
            <td width="120"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
            <td width="10" height="25"><img src="images/mp_19.jpg" width="10" height="9" alt="" /></td>
          </tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
  <tr>
    <td colspan="2"><img src="images/mp_23.jpg" width="128" height="10" alt="" /></td>
 </tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
    <td><a href="{@HREF}" class="abmenu" id="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:when>
           <!-- when active-->
           
           <xsl:otherwise>
   <td><a href="{@HREF}" class="bmenu" id="bmenu{position()}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>       
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
    <td width="35" align="center" class="line">|</td>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
