<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
<!-- xrl-03 -->
    <head>
		<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
	</head>
	<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">	
<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%" background="images/main_bg.gif"><tr><td>
<TABLE WIDTH="840" HEIGHT="100%" CELLPADDING="0" CELLSPACING="0" BORDER="0" align="center" name="SB_stretch">
	<TR><TD height="8"></TD></TR>
	<TR>
		<TD height="123">
		<div style="width: 840px; height: 123px; background-image: url('images/header.jpg'); background-position: bottom right; background-repeat: no-repeat; margin: 0px;">
			<table cellpadding="0" cellspacing="0" border="0" width="266" height="123" style="background-image: url('images/logo_bg.gif'); background-repeat: repeat-y;">
				<tr>
					<td height="115" align="center" style="background-image: url('images/logo_bg.jpg'); background-position: bottom; background-repeat: no-repeat;">
						<!-- LOGO -->
							<table cellpadding="0" cellspacing="0">
								<tr><td align="center"><a href="./"><img src="images/{LOGO/@NAME}" border="0"/></a></td></tr>
								<tr><td align="center" class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td></tr>
								<tr><td align="center" class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td></tr>
							</table>
						<!-- END LOGO -->
					</td>
				</tr>
			</table>
		</div>
		</TD>
	</TR>
	<TR>
		<TD height="47" valign="top" style="background-image: url('images/menu_bg.jpg'); background-repeat: no-repeat; padding-left: 60px; padding-right: 50px;">
		<!-- MENU -->
		<div style="width: 580px;">
			<table cellpadding="0" cellspacing="0" border="0">
				<tr>
					<xsl:call-template name="TOP-MENU"/>
				</tr>
			</table>
		</div>
		<!-- END MENU -->
		</TD>
	</TR>
	<TR>
		<TD height="100%" name="SB_stretch" valign="top" style="background-image: url('images/bg.gif'); background-repeat: repeat-y;">
			<table cellpadding="0" cellspacing="0" border="0" width="840" height="687" style="background-image: url('images/bg_b.jpg'); background-position: bottom left; background-repeat: no-repeat;">
				<tr>
					<td valign="top" style="background-image: url('images/bg_t.jpg'); background-position: top left; background-repeat: no-repeat;">
						<table cellpadding="0" cellspacing="0" border="0" width="840">
							<tr>
								<td><div style="width:56px; height:1px;"><spacer type="block" width="56" height="1"/></div></td>
								<td valign="top">
									<!-- SUBMENU -->
									<table cellpadding="0" cellspacing="0" width="240" align="center">
										<tr>
											<td width="29" height="62"></td>
											<td width="4"></td>
											<td width="207"></td>
										</tr>										
										<tr>
											<td height="1" bgcolor="#D2D2D2"></td>
											<td></td>
											<td bgcolor="#D2D2D2"></td>
										</tr>
										<xsl:call-template name="SUB-MENU"><xsl:with-param name="pageID" select="@ID"/></xsl:call-template>							
										<tr>
											<td height="1" bgcolor="#D2D2D2"></td>
											<td></td>
											<td bgcolor="#D2D2D2"></td>
										</tr>
									</table>										
									<!-- END SUBMENU -->
								</td>
								<td><div style="width:100px; height:1px;"><spacer type="block" width="100" height="1"/></div></td>
								<td width="100%" valign="top" class="pageContent">
									<!-- CONTENT -->			
									<div style="width:1px; height:18px;"><spacer type="block" width="1" height="18"/></div>
									<div align="center" class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></div>
									<div style="width:1px; height:30px;"><spacer type="block" width="1" height="30"/></div>
									<xsl:apply-templates select="PAGE-CONTENT"/>
									<div style="width:1px; height:120px;"><spacer type="block" width="1" height="120"/></div>	
									<!-- END CONTENT -->
								</td>
								<td><div style="width:177px; height:1px;"><spacer type="block" width="177" height="1"/></div></td>
							</tr>
						</table>
					</td>
				</tr>
			</table>
		</TD>
	</TR>
	<TR>
		<TD height="207" style="background-image: url('images/footer_bg.jpg'); background-repeat: no-repeat;">
			<table cellpadding="0" cellspacing="0" border="0" width="840" height="207">
				<tr>
					<td height="65" align="right" style="padding: 0 200px 0 350px;">	
						<div align="center" style="width: 300px;">
						<!-- BOTTOM MENU -->				
						<table cellpadding="0" cellspacing="0">
							<tr>
								<xsl:call-template name="BOTTOM-MENU"/>
							</tr>
						</table>	
						<!-- END BOOTTOM MENU -->
						</div>
					</td>
				</tr>
				<tr><td height="23"></td></tr>
				<tr><td height="20" style="padding-left: 25px;"><div align="center" class="footer" style="width: 325px;"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></div></td></tr>
				<tr><td height="100%"></td></tr>
			</table>
		</TD>
	</TR>
</TABLE>
</td></tr></table>
	</BODY>

	</HTML>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>		
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
			<tr>								
				<td align="center"><img src="images/submenu_abullet.gif" border="0"/></td>
				<td></td>
				<td style="padding-left: 9px" height="21" class="asubmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
			</tr>	
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
				<tr>		
					<td align="center"><a href="{@HREF}"><img src="images/submenu_bullet.gif" border="0"/></a></td>
					<td></td>
					<td style="padding-left: 9px" height="21"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
				</tr>	
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">									
		<tr>
			<td height="1" bgcolor="#D2D2D2"></td>
			<td></td>
			<td bgcolor="#D2D2D2"></td>
		</tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
			<td><a href="{@HREF}" class="abmenu" id="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:when>
           <!-- when active-->
           
           <xsl:otherwise>
 			<td><a href="{@HREF}" class="bmenu" id="bmenu{position()}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
			<td width="5"></td>
			<td class="bmenu">|</td>
			<td width="5"></td>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}">
		<xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute>
	</meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
